%% A toy example to demonstrate how the algorithm works.
%% Note: if options.sflag = 1, training data will be normalized. REMEMBER to normalize the test data as well; otherwise you will be in trouble!!

path(path,'C:\Documents and Settings\sunyijun\My Documents\Code\MyCode\DGM')

xfile='colon_X';
yfile='colon_b';
patterns = mmread(xfile);
patterns = patterns';
y = mmread(yfile);
targets = (y+1)*0.5;
num_samp = length(y);
options.sflag = 1;

lambdamax = findlambdamax_balance(patterns,y);
lambda = lambdamax*0.1;
[Weight,bias] = Fast_LogisticalRegress_CG_balance(patterns, y,lambda,options);
pred = Weight'*patterns+bias;
[Area, Sens, Spec] = ROC_calc(pred,targets');

plot(Spec,Sens,'-*')
title('ROC curve');
xlabel('1-Specificity');
ylabel('Sensitivity');
note=['AUC = ' num2str(Area1)];
text(0.8,0.45,note);

%% ================== End of the Code ==================
